Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions

# ext/coverage/coverage.c File Reference

`#include "ruby.h"`
Include dependency graph for coverage.c:

Go to the source code of this file.

## Functions
VALUE | rb_get_coverages (void)
void | rb_set_coverages (VALUE)
void | rb_reset_coverages (void)
static VALUE | rb_coverage_start (VALUE klass)
static int | coverage_result_i (st_data_t key, st_data_t val, st_data_t dummy)
static VALUE | rb_coverage_result (VALUE klass)
void | Init_coverage (void)

## Function Documentation

static int coverage_result_i | ( | st_data_t | key,
|  | st_data_t | val,
|  | st_data_t | dummy
| ) |  | `[static]`

Definition at line 35 of file coverage.c.

References coverage(), rb_ary_freeze(), rb_cArray, RBASIC, and ST_CONTINUE.

Referenced by rb_coverage_result().

void Init_coverage | ( | void |  | ) |

Definition at line 96 of file coverage.c.

References rb_coverage_result(), rb_coverage_start(), rb_define_module(), and rb_define_module_function().

static VALUE rb_coverage_result | ( | VALUE | klass | ) | `[static]`

Definition at line 51 of file coverage.c.

References coverage_result_i(), rb_cHash, rb_eRuntimeError, rb_get_coverages(), rb_hash_freeze(), rb_raise(), rb_reset_coverages(), RBASIC, RHASH_TBL, RTEST, and st_foreach.

Referenced by Init_coverage().

static VALUE rb_coverage_start | ( | VALUE | klass | ) | `[static]`

Definition at line 24 of file coverage.c.

References Qnil, rb_get_coverages(), rb_hash_new(), rb_set_coverages(), RBASIC, and RTEST.

Referenced by Init_coverage().

VALUE rb_get_coverages | ( | void |  | ) |

Definition at line 4359 of file thread.c.

References GET_VM.

Referenced by clear_coverage(), coverage(), prepare_iseq_build(), rb_coverage_result(), and rb_coverage_start().

void rb_reset_coverages | ( | void |  | ) |

Definition at line 4372 of file thread.c.

References GET_VM, Qfalse, rb_remove_event_hook(), and update_coverage().

Referenced by rb_coverage_result().

void rb_set_coverages | ( | VALUE |  | ) |

Definition at line 4365 of file thread.c.

References GET_VM, Qnil, rb_add_event_hook(), RUBY_EVENT_COVERAGE, and update_coverage().

Referenced by rb_coverage_start().